#include "TestProxy.h"
#include <stdio.h>

TestProxy* TestProxy::instance_ = 0;

TestProxy* TestProxy::getInstance(){
  if(instance_ == 0){
    instance_ = new TestProxy();
  }
  return instance_;
}

TestProxy::TestProxy()
{
  ifStarted_ = false;
  dataCounter_ = 0;
}

void TestProxy::Start(){
  if(ifStarted_){
    return;
  }
  ifStarted_ = true;

  while(true){
    dataCounter_ ++;
    if(dataCounter_ == 200) dataCounter_ = 0;
    if(dataCounter_ % 6 == 0){
      sendEvent(dataCounter_);
    }
  }
}

void TestProxy::sendEvent(int arg_number){
  //boost::mutex::scoped_lock lock(mutex_);
  
  sourceEvent_.emit(arg_number);
}
