#ifndef __TEST_WEBUI_H__
#define __TEST_WEBUI_H__

#include <Wt/WApplication>
#include <Wt/WContainerWidget>
#include <Wt/WText>
#include <Wt/WGridLayout>
#include <Wt/WVBoxLayout>

class TestSuitTree;
class TestControl;
class TestLogView;

using namespace Wt;

class TestWebUI : public WApplication
{
 public:
  TestWebUI(const WEnvironment& env);
 private:
  WText *createTitle(const WString& title);
  WText *aboutDisplay();
  TestSuitTree *testSuitTree_;
  TestControl  *testControl_;
  TestLogView  *testLogView_;
};
#endif
