#ifndef __TESTCONTROL_H__
#define __TESTCONTROL_H__

#include <Wt/WContainerWidget>
#include <Wt/WApplication>
#include <Wt/WText>
#include <Wt/WBreak>
#include <Wt/WPushButton>

class TestSuitTree;

using namespace Wt;

class TestControl : public WContainerWidget
{
 public:
  TestControl(TestSuitTree *arg_p_tree);
  ~TestControl();
 private:
  TestSuitTree *testSuitTree_;
  boost::signals::connection treeEventConnection_;

  WApplication *app_;
  WText *treeName_;
  WPushButton *startButton_;

  WPushButton *stopButton_;
  
  void showTreeName(std::string arg_name);
  void startTest();
  void stopTest();
};

#endif
