#ifndef __TESTSUITTREE_H__
#define __TESTSUITTREE_H__

//#include <boost/lexical_cast.hpp>
//#include <boost/thread.hpp>
#include <Wt/WContainerWidget>
#include <Wt/WText>
#include <Wt/WTree>
#include <Wt/WTreeNode>
#include <Wt/WIconPair>
#include <Wt/WSignalMapper>
#include <Wt/WSignal>



using namespace Wt;

class TestSuitTree : public WContainerWidget
{
 public:
  TestSuitTree();
  Wt::Signal<std::string>& treeEvent(){ return treeEvent_; }
 private:
  WSignalMapper<std::string,bool> *map_;
  Wt::Signal<std::string>         treeEvent_;
  //boost::mutex                    mutex_;

  WTreeNode *createFolder(std::string arg_name);
  WTreeNode *createFile(std::string arg_name);
  void folderClickProcess(std::string arg_name, bool flag);
};

#endif
